Package de.willuhn.jameica.hbci.server

# Class AbstractHibiscusDBObject

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `Serializable`, `Remote`

Direct Known Subclasses:
  `AbstractHibiscusTransferImpl`, `AbstractSammelTransferBuchungImpl`, `AbstractSammelTransferImpl`, `AbstractSepaSammelTransferBuchungImpl`, `AbstractSepaSammelTransferImpl`, `DBReminderImpl`, `HibiscusAddressImpl`, `KontoauszugImpl`, `KontoImpl`, `NachrichtImpl`, `ProtokollImpl`, `TurnusImpl`, `UmsatzImpl`

public abstract class AbstractHibiscusDBObject extends de.willuhn.datasource.db.AbstractDBObject implements HibiscusDBObject
Basis-Code fuer alle Entity-Klassen in Hibiscus.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHibiscusDBObject()`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`String`
`getMeta(String name, String defaultValue)`
Liefert den Wert eines Meta-Attributes.
`void`
`setMeta(String name, String value)`
Speichert den Wert des Meta-Attributes.
`void`
`store()`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getPrimaryAttribute, getService, getTableName, getUpdateSQL, hasChanged, hasChanged, init, insert, insertCheck, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback, updateCheck`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### AbstractHibiscusDBObject

public AbstractHibiscusDBObject() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getMeta

public String getMeta(String name, String defaultValue) throws RemoteException
Description copied from interface: `HibiscusDBObject`
Liefert den Wert eines Meta-Attributes.

Specified by:
  `getMeta` in interface `HibiscusDBObject`
Parameters:
  `name` - Name des Meta-Attributes.
  `defaultValue` - der Default-Wert.
Returns:
  der Wert des Attributes.
Throws:
  `RemoteException`
See Also:
  - `HibiscusDBObject.getMeta(java.lang.String, java.lang.String)`

### setMeta

public void setMeta(String name, String value) throws RemoteException
Description copied from interface: `HibiscusDBObject`
Speichert den Wert des Meta-Attributes. Die Aenderung wird sofort in die Datenbank uebernommen. Der Aufruf von "store()" ist nicht noetig. Wenn man das Setzen des Wertes in bestimmten Situationen rueckgaengig machen will, dann muss der Aufruf innerhalb einer Transaktion stehen. Beim Rollback wird auch das Meta-Attribute wieder geloescht. Weiterhin wichtig: Das Objekt muss sich bereits in der Datenbank befinden (also eine ID haben) - andernfalls koennen die Meta-Informationen ja nicht korrekt zugeordnet zugeordnet werden.

Specified by:
  `setMeta` in interface `HibiscusDBObject`
Parameters:
  `name` - Name des Meta-Attributes.
  `value` - Wert des Attributes.
Throws:
  `RemoteException`
See Also:
  - `HibiscusDBObject.setMeta(java.lang.String, java.lang.String)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.delete()`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.store()`